import { ReadableStream } from "web-streams-polyfill/ponyfill";
import Blob from "miniprogram-blob";
export class Headers implements globalThis.Headers {
    constructor(init?: HeadersInit);
    append(name: string, value: string): void;
    set(name: string, value: string): void;
    get(name: string): string;
    has(name: string): boolean;
    delete(name: string): void;
    [Symbol.iterator](): Generator<[string, string], void, unknown>;
    entries(): Generator<[string, string], void, unknown>;
    keys(): Generator<string, void, unknown>;
    values(): Generator<string, void, unknown>;
    forEach(callbackfn: (value: string, key: string, parent: globalThis.Headers) => void, thisArg?: any): void;
    getSetCookie(): string[];
}
export class Body {
    body: ReadableStream<Uint8Array> | null;
    bodyUsed: boolean;
    arrayBuffer(): Promise<ArrayBufferLike>;
    blob(): Promise<Blob>;
    text(): Promise<string>;
    json(): Promise<any>;
    /**
     * @deprecated 尚未实现内部逻辑
     */
    formData(): Promise<globalThis.FormData>;
}
export class Response extends Body implements globalThis.Response {
    type: ResponseType;
    url: string;
    status: number;
    statusText: string;
    ok: boolean;
    redirected: boolean;
    headers: Headers;
    constructor(body?: BodyInit | null, init?: ResponseInit);
    clone(): Response & this;
}
export class Request extends Body implements globalThis.Request {
    cache: RequestCache;
    credentials: RequestCredentials;
    destination: RequestDestination;
    headers: Headers;
    integrity: string;
    keepalive: boolean;
    method: string;
    mode: RequestMode;
    redirect: RequestRedirect;
    referrer: string;
    referrerPolicy: ReferrerPolicy;
    signal: AbortSignal;
    url: string;
    constructor(input: RequestInfo | URL, init?: RequestInit);
    clone(): Request;
}
export function fetch(input: RequestInfo | URL, init?: RequestInit): Promise<Response>;

//# sourceMappingURL=index.d.ts.map
